Bug 168908 - Fix quoted IGNORE/BROKEN
Fix quoted IGNORE/BROKEN
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 04:50 UTC by bryan
Modified: 2013-03-16 03:00 UTC (History)
1 user (show)

See Also:


Attachments
patch-quoted-ignore-broken.txt (9.77 KB, patch)
2012-06-10 04:50 UTC, bryan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bryan 2012-06-10 04:50:10 UTC
	This removes needless quoting from IGNORE/BROKEN. It also cleans up some unnecessary escaping.
	Task taken from http://wiki.freebsd.org/PortsLongtermTargets#BROKEN.2BAC8-IGNORE_quoted
Comment 1 Martin Wilke freebsd_committer 2012-06-10 06:50:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Bryan Drewery freebsd_committer 2012-10-28 22:26:51 UTC
Responsible Changed
From-To: miwi->bdrewery

take back
Comment 3 dfilter freebsd_committer 2013-03-16 02:56:45 UTC
Author: bdrewery
Date: Sat Mar 16 02:56:29 2013
New Revision: 314333
URL: http://svnweb.freebsd.org/changeset/ports/314333

Log:
  - Remove needless quoting of BROKEN/IGNORE
  - Trim headers
  
  PR:		ports/168908
  With hat:	portmgr

Modified:
  head/databases/linux-oracle-instantclient-basic/Makefile
  head/databases/linux-oracle-instantclient-sdk/Makefile
  head/databases/linux-oracle-instantclient-sqlplus/Makefile
  head/emulators/stonx/Makefile
  head/games/rftg/Makefile
  head/java/jai/Makefile
  head/java/jdk16-doc/Makefile
  head/math/libflame/Makefile
  head/math/octave-forge-es/Makefile
  head/math/unixstat/Makefile
  head/ports-mgmt/vulnerability-test-port/Makefile
  head/security/pam_krb5/Makefile

Modified: head/databases/linux-oracle-instantclient-basic/Makefile
==============================================================================
--- head/databases/linux-oracle-instantclient-basic/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/databases/linux-oracle-instantclient-basic/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	linux-oracle-instantclient-basic
-# Date created:				03 June 2004
-# Whom:					Alexander Novitsky
-#
+# Created by: Alexander Novitsky
 # $FreeBSD$
-#
 
 PORTNAME=		instantclient
 PORTVERSION=		${ORACLEVERSION}.${DISTDATE}
@@ -65,7 +61,7 @@ IGNORE+=		Due to Oracle license restrict
 IGNORE+=		distribution manually.  Please access  \n
 IGNORE+=		http://www.oracle.com/technology/software/tech/oci/instantclient/index.html \n
 IGNORE+=		with a web browser and follow the link for the \n
-IGNORE+=		\"${DISTFILES}\".  \n
+IGNORE+=		"${DISTFILES}".  \n
 IGNORE+=		You will be required to register and log in, \n
 IGNORE+=		but you can create an account on that page.  \n
 IGNORE+=		After registration and accepting the Oracle License, \n

Modified: head/databases/linux-oracle-instantclient-sdk/Makefile
==============================================================================
--- head/databases/linux-oracle-instantclient-sdk/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/databases/linux-oracle-instantclient-sdk/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	linux-oracle-instantclient-sdk
-# Date created:				2005-04-26
-# Whom:					nork@FreeBSD.org
-#
+# Created by: nork@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=		instantclient
 PORTVERSION=		${ORACLEVERSION}.${DISTDATE}
@@ -93,7 +89,7 @@ IGNORE+=		Due to Oracle license restrict
 IGNORE+=		distribution manually.  Please access  \n
 IGNORE+=		http://www.oracle.com/technology/software/tech/oci/instantclient/index.html \n
 IGNORE+=		with a web browser and follow the link for the \n
-IGNORE+=		\"${DISTFILES}\".  \n
+IGNORE+=		"${DISTFILES}".  \n
 IGNORE+=		You will be required to register and log in, \n
 IGNORE+=		but you can create an account on that page.  \n
 IGNORE+=		After registration and accepting the Oracle License, \n

Modified: head/databases/linux-oracle-instantclient-sqlplus/Makefile
==============================================================================
--- head/databases/linux-oracle-instantclient-sqlplus/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/databases/linux-oracle-instantclient-sqlplus/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	linux-oracle-instantclient-sqlplus
-# Date created:				2005-04-26
-# Whom:					nork@FreeBSD.org
-#
+# Created by: nork@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=		instantclient
 PORTVERSION=		${ORACLEVERSION}.${DISTDATE}
@@ -63,7 +59,7 @@ IGNORE+=		Due to Oracle license restrict
 IGNORE+=		distribution manually.  Please access  \n
 IGNORE+=		http://www.oracle.com/technology/software/tech/oci/instantclient/index.html \n
 IGNORE+=		with a web browser and follow the link for the \n
-IGNORE+=		\"${DISTFILES}\".  \n
+IGNORE+=		"${DISTFILES}".  \n
 IGNORE+=		You will be required to register and log in, \n
 IGNORE+=		but you can create an account on that page.  \n
 IGNORE+=		After registration and accepting the Oracle License, \n

Modified: head/emulators/stonx/Makefile
==============================================================================
--- head/emulators/stonx/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/emulators/stonx/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -69,8 +69,8 @@ post-install:
 .include <bsd.port.pre.mk>
 
 .if !exists(${DISTDIR}/${TOSIMG})
-IGNORE="Please get a ROM dump from your AtariST and save it as"\
-"\"${TOSIMG}\" in \"${DISTDIR}\" manually, and then make again"
+IGNORE=	please get a ROM dump from your AtariST and save it as\
+"${TOSIMG}" in "${DISTDIR}" manually, and then make again
 .endif
 
 BUILD_DEPENDS+=		${LOCALBASE}/lib/X11/fonts/misc/10x20-ISO8859-1.pcf.gz:${PORTSDIR}/x11-fonts/font-misc-misc

Modified: head/games/rftg/Makefile
==============================================================================
--- head/games/rftg/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/games/rftg/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,9 +1,5 @@
-# Ports collection makefile for:	rftg
-# Date created:			Apr 12, 2011
-# Whom:				Miles V. Aronnax <miles@aronnax.net>
-#
+# Created by: Miles V. Aronnax <miles@aronnax.net>
 # $FreeBSD$
-#
 
 PORTNAME=	rftg
 PORTVERSION=	0.8.1
@@ -23,7 +19,7 @@ DOWNLOAD_URL=   http://www.keldon.net/rf
 .include <bsd.port.pre.mk>
 
 .if !exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})
-IGNORE=		"Race for the Galaxy AI contains images and card names that are copyright Rio Grande Games. They have granted Keldon Jones ( http://www.keldon.net ) permission to distribute them, but this does not appear to include redistribution rights. Please download ${DISTFILES} manually from ${DOWNLOAD_URL} and place it in ${DISTDIR}"
+IGNORE=		race for the Galaxy AI contains images and card names that are copyright Rio Grande Games. They have granted Keldon Jones ( http://www.keldon.net ) permission to distribute them, but this does not appear to include redistribution rights. Please download ${DISTFILES} manually from ${DOWNLOAD_URL} and place it in ${DISTDIR}
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/java/jai/Makefile
==============================================================================
--- head/java/jai/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/java/jai/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -37,7 +37,7 @@ PORTDOCS=	\
 .include <bsd.port.pre.mk>
 
 .if !exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX}) && !defined(PACKAGE_BUILDING)
-IGNORE=		You must manually fetch from the \"Java Advanced Imaging API 1.1.3 Download Page\", the \"Java (no native acceleration)\" distribution \(${DISTNAME}${EXTRACT_SUFX}\) from ${DOWNLOAD_URL}, place it in ${DISTDIR} and then run make again
+IGNORE=		you must manually fetch from the "Java Advanced Imaging API 1.1.3 Download Page", the "Java (no native acceleration)" distribution (${DISTNAME}${EXTRACT_SUFX}) from ${DOWNLOAD_URL}, place it in ${DISTDIR} and then run make again
 .endif
 
 do-install:

Modified: head/java/jdk16-doc/Makefile
==============================================================================
--- head/java/jdk16-doc/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/java/jdk16-doc/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	jdk16-doc
-# Date created:		August 18, 2007
-# Whom:			Greg Lewis <glewis@FreeBSD.org>
-#
+# Created by: Greg Lewis <glewis@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	jdk-doc
 PORTVERSION=	${JDK_VERSION}.${JDK_UPDATE_VER}
@@ -36,7 +32,7 @@ PORTDOCS=	*
 .include <bsd.port.pre.mk>
 
 .if !exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX}) && !defined(PACKAGE_BUILDING)
-IGNORE=You must manually fetch ${DISTNAME}${EXTRACT_SUFX} from ${DOWNLOAD_URL} by selecting the \"Download\" link for the \"Java SE 6 Documentation\", place it in ${DISTDIR} and then run make again
+IGNORE=	you must manually fetch ${DISTNAME}${EXTRACT_SUFX} from ${DOWNLOAD_URL} by selecting the "Download" link for the "Java SE 6 Documentation", place it in ${DISTDIR} and then run make again
 .endif
 
 do-install:

Modified: head/math/libflame/Makefile
==============================================================================
--- head/math/libflame/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/math/libflame/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,10 +1,5 @@
-# ex:ts=8
-# Ports collection makefile for:	libflame
-# Date created:				1 Jan 2012
-# Whom: 				bf@FreeBSD.org
-#
+# Created by: bf@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=	libflame
 DISTVERSION=	r7421
@@ -117,7 +112,7 @@ WITH_BLAS?=	atlas_c
 WITH_BLAS?=	reference_c
 .endif
 .if !(${WITH_BLAS} == "atlas_c" || ${WITH_BLAS} == "reference_c")
-IGNORE =	: WITH_CBLAS is incompatible with WITH_BLAS = ${WITH_BLAS}"
+IGNORE=	: WITH_CBLAS is incompatible with WITH_BLAS = ${WITH_BLAS}
 .endif
 .elif exists(${LOCALBASE}/lib/libgoto2.so)
 WITH_BLAS?=	gotoblas

Modified: head/math/octave-forge-es/Makefile
==============================================================================
--- head/math/octave-forge-es/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/math/octave-forge-es/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	octave-forge-es
-# Date created:		6 June 2010
-# Whom:			Stephen Montgomery-Smith <stephen@math.missouri.edu>
-#
+# Created by: Stephen Montgomery-Smith <stephen@math.missouri.edu>
 # $FreeBSD$
-#
 
 PORTNAME=	octave-forge-es
 PORTVERSION=	0.0.4
@@ -13,7 +9,7 @@ CATEGORIES=	math
 MAINTAINER=	stephen@FreeBSD.org
 COMMENT=	Octave-forge package ${OCTAVE_PKGNAME}
 
-BROKEN=		"Does not build"
+BROKEN=		does not build
 
 # OCTSRC is the name of the directory of the package.
 # It is usually ${OCTAVE_PKGNAME} or ${DISTNAME}.

Modified: head/math/unixstat/Makefile
==============================================================================
--- head/math/unixstat/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/math/unixstat/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   stat
-# Date created:        23 August 2001
-# Whom:                mwm
-#
+# Created by: mwm
 # $FreeBSD$
-#
 
 PORTNAME=	unixstat
 PORTVERSION=	5.4
@@ -31,11 +27,11 @@ MAN1=		abut.1 anova.1 calc.1 colex.1 con
 		stats.1 transpose.1 ts.1 unixstat.1 validata.1
 
 .if !exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX}) && !defined(PACKAGE_BUILDING)
-IGNORE="Gary Perlman requires that users agree to his license"\
-"before he will allow access to the distfile."\
-"See his web site at http://www.acm.org/~perlman/stat/ for"\
-"details.  Then put ${DISTNAME}${EXTRACT_SUFX} in"\
-"${DISTDIR} and run make again"
+IGNORE=	Gary Perlman requires that users agree to his license\
+before he will allow access to the distfile.\
+See his web site at http://www.acm.org/~perlman/stat/ for\
+details.  Then put ${DISTNAME}${EXTRACT_SUFX} in\
+${DISTDIR} and run make again
 .endif
 
 post-patch:

Modified: head/ports-mgmt/vulnerability-test-port/Makefile
==============================================================================
--- head/ports-mgmt/vulnerability-test-port/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/ports-mgmt/vulnerability-test-port/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	vulnerability-test-port
-# Date created:				25 Jan 2004
-# Whom:					Oliver Eikemeier
-#
+# Created by: Oliver Eikemeier
 # $FreeBSD$
-#
 
 PORTNAME=		vulnerability-test-port
 PORTVERSION=		${INSTALLATION_DATE}
@@ -22,7 +18,7 @@ INSTALLATION_DATE=	2004.01.25
 .ifdef INSTALLATION_DATE
 MYDATE!=		date -j -f "%Y.%m.%d" "${INSTALLATION_DATE}" "+%Y.%m.%d" 2>/dev/null
 .if ${MYDATE} != ${INSTALLATION_DATE}
-IGNORE=		": \`\`${INSTALLATION_DATE}\'\' is not a legal date. INSTALLATION_DATE must be in the form YYYY.MM.DD"
+IGNORE=		: "${INSTALLATION_DATE}" is not a legal date. INSTALLATION_DATE must be in the form YYYY.MM.DD
 .endif
 .else
 INSTALLATION_DATE!=	date -u "+%Y.%m.%d"

Modified: head/security/pam_krb5/Makefile
==============================================================================
--- head/security/pam_krb5/Makefile	Sat Mar 16 02:54:51 2013	(r314332)
+++ head/security/pam_krb5/Makefile	Sat Mar 16 02:56:29 2013	(r314333)
@@ -1,9 +1,5 @@
-# Ports collection Makefile for:	pam_krb5
-# Date created:				11/03/2000
-# Whom:					nectar@FreeBSD.org
-#
+# Created by: nectar@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=		pam_krb5
 PORTVERSION=		4.6
@@ -33,7 +29,7 @@ LIB_DEPENDS=		krb5.3:${PORTSDIR}/securit
 KRB5_DIR?=		${KRB5_HOME}
 .endif
 .else
-IGNORE=			you must define KRB5_IMPL to be \"mit\" or \"heimdal\"
+IGNORE=			you must define KRB5_IMPL to be "mit" or "heimdal"
 .endif
 
 MANDIR=			${MANPREFIX}/man
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Bryan Drewery freebsd_committer 2013-03-16 02:57:05 UTC
State Changed
From-To: open->closed

Committed.